## defectdojo 2.12.0

=== requirements.txt ===
# requirements.txt for DefectDojo using Python 3.x
asteval==0.9.27
bleach==4.1.0
celery==5.2.7
coverage==6.4.1
defusedxml==0.7.1
django_celery_results==2.4.0
django-auditlog==2.1.0
django-dbbackup==3.3.0
django-environ==0.9.0
django-filter==21.1
django-imagekit==4.1.0
django-multiselectfield==0.1.12
django-polymorphic==3.1.0
django-crispy-forms==1.14.0
django_extensions==3.1.5
django-slack==5.17.8
django-tagging==0.5.0
django-watson==1.6.2
django-prometheus==2.2.0
Django==3.2.14
djangorestframework==3.13.1
gunicorn==20.1.0
html2text==2020.1.16
humanize==4.2.3
jira==3.0.1
PyGithub==1.55
lxml==4.9.1
Markdown==3.3.7
mysqlclient==2.1.0
openpyxl==3.0.10
xlrd==1.2.0
Pillow==9.2.0  # required by django-imagekit
psycopg2-binary==2.9.3
cryptography==37.0.2
python-dateutil==2.8.2
pytz==2022.1
redis==4.3.4
requests==2.28.1
sqlalchemy==1.4.39  # Required by Celery broker transport
supervisor==4.2.4
urllib3==1.26.9
uWSGI==2.0.20
vobject==0.9.6.1
whitenoise==5.2.0
titlecase==2.3
social-auth-app-django==5.0.0
social-auth-core==4.3.0
Python-jose==3.3.0
gitpython==3.1.27
debugpy==1.6.0
python-gitlab==3.6.0
google-api-python-client==2.52.0
google-auth==2.9.0
google-auth-oauthlib==0.5.2
drf_yasg==1.20.0
cpe==1.2.1
packageurl-python==0.10.0
django-crum==0.7.9
JSON-log-formatter==0.5.1
django-split-settings==1.1.0
django-debug-toolbar==3.4.0
django-debug-toolbar-request-history==0.1.4
vcrpy==4.2.0
vcrpy-unittest==0.1.7
django-tagulous==1.3.3
PyJWT==2.4.0
cvss==2.4
django-fieldsignals==0.7.0
hyperlink==21.0.0
numpy==1.23.0
django-test-migrations==1.2.0
djangosaml2==1.5.1
drf-spectacular==0.22.1
django-ratelimit==3.0.1
argon2-cffi==21.3.0

=== debian/changelog ===
defectdojo (2.12.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:40:08 +0200

defectdojo (2.12.0-0kali2) kali-dev; urgency=medium

  * Remove the remaining directory when we purge the package
  * Display the URL we are opening in the script to inform the user and fix doc

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 01 Sep 2022 11:06:06 +0200

defectdojo (2.12.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.12.0
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 20 Jul 2022 09:50:24 +0200

defectdojo (2.10.0-0kali6) kali-dev; urgency=medium

  * Do not keep the SECRET_KEY in /etc/defectdojo/*

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 08 Jul 2022 15:32:59 +0200

defectdojo (2.10.0-0kali5) kali-dev; urgency=medium

  * Add missing depends python3-titlecase
  * Add missing collectstatic command during first installation or upgrade

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Jul 2022 17:46:51 +0200

defectdojo (2.10.0-0kali4) kali-dev; urgency=medium

  * Fix a typo issue

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 Jun 2022 09:53:48 +0200

defectdojo (2.10.0-0kali3) kali-dev; urgency=medium

  * Disable i386 build on gitlab ci
  * Add missing depends
  * Fix rights
  * Disable ARM64 crossbuild on gitlab CI
  * Add autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jun 2022 16:18:44 +0200

defectdojo (2.10.0-0kali2) kali-dev; urgency=medium

  * Update Maintainer field
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Build only on amd64, arm64 and armhf

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 13 Jun 2022 11:48:08 +0200

defectdojo (2.10.0-0kali1) kali-dev; urgency=medium

  * Initial release. (see 6898)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 10 Jun 2022 13:58:19 +0200

=== debian/control ===
Source: defectdojo
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), git, yarnpkg
Standards-Version: 4.6.1
Homepage: https://github.com/DefectDojo/django-DefectDojo

Package: defectdojo
Architecture: amd64 arm64 armhf
Depends: adduser,
         celery,
         nginx,
         postgresql,
         python3-argon2,
         python3-asteval,
		 python3-bleach,
         python3-celery,
         python3-cpe,
         python3-cvss,
         python3-django-appconf,
         python3-django-auditlog,
         python3-django-celery-results,
         python3-django-crispy-forms,
         python3-django-crum,
         python3-django-dbbackup,
         python3-django-environ,
         python3-django-extensions,
         python3-django-fieldsignals,
         python3-django-filters,
         python3-django-imagekit,
         python3-django-multiselectfield,
         python3-django-polymorphic,
         python3-django-ratelimit,
         python3-django-restframework-guardian,
         python3-django-split-settings,
         python3-django-tagging,
         python3-django-tagulous,
         python3-django-watson,
         python3-djangorestframework-spectacular,
         python3-drf-yasg-nonfree,
	     python3-git,
         python3-github,
         python3-googleapi,
         python3-gunicorn,
	     python3-html2text,
	     python3-hyperlink,
         python3-jira,
         python3-jose,
         python3-json-log-formatter,
	     python3-lxml,
	     python3-markdown,
	     python3-numpy,
	     python3-openpyxl,
         python3-packageurl,
	     python3-psycopg2,
         python3-social-django,
         python3-titlecase,
         python3-vobject,
         redis-server,
         sudo,
         uuid-runtime,
         uwsgi-plugin-python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: security orchestration and vulnerability management platform
 This package contains a security orchestration and vulnerability management
 platform. DefectDojo allows you to manage your application security program,
 maintain product and application information, triage vulnerabilities and push
 findings to systems like JIRA and Slack. DefectDojo enriches and refines
 vulnerability data using a number of heuristic algorithms that improve with
 the more you use the platform.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export HOME=$(CURDIR)/debian/fakehome

%:
	dh $@

override_dh_auto_build:
	cd components && yarnpkg
	dh_auto_build
	mkdir -p debian/defectdojo/var/lib/defectdojo
	echo "uwsgi_pass uwsgi_server;" > debian/defectdojo/var/lib/defectdojo/uwsgi_pass
	echo "server uwsgi:3031;" > debian/defectdojo/var/lib/defectdojo/uwsgi_server

override_dh_install:
	dh_install -Xnpmignore -Xeslintrc -X~ -Xgitmodules -Xgitattributes -Xgitignore
	mv debian/defectdojo/usr/lib/defectdojo/dojo/settings/settings.dist.py debian/defectdojo/etc/defectdojo/settings.dist.py

## defectdojo 2.37.3

=== requirements.txt ===
# requirements.txt for DefectDojo using Python 3.x
asteval==1.0.2
bleach==6.1.0
bleach[css]
celery==5.4.0
defusedxml==0.7.1
django_celery_results==2.5.1
django-auditlog==2.3.0
django-dbbackup==4.1.0
django-environ==0.11.2
django-filter==24.2
django-imagekit==5.0.0
django-multiselectfield==0.1.13
django-polymorphic==3.1.0
django-crispy-forms==2.3
django_extensions==3.2.3
django-slack==5.19.0
# This library is very outdated and not directly. It is used solely for migration
# purposes to django-tagulous, so it must stay
# django-tagging==0.5.0
git+https://github.com/DefectDojo/django-tagging@develop#egg=django-tagging
django-watson==1.6.3
django-prometheus==2.3.1
Django==4.2.15
djangorestframework==3.15.2
html2text==2024.2.26
humanize==4.10.0
jira==3.8.0
PyGithub==1.58.2
lxml==5.2.2
Markdown==3.6
openpyxl==3.1.5
Pillow==10.4.0  # required by django-imagekit
psycopg[c]==3.2.1
cryptography==43.0.0
python-dateutil==2.9.0.post0
pytz==2024.1
redis==5.0.8
requests==2.32.3
sqlalchemy==2.0.31  # Required by Celery broker transport
urllib3==1.26.18
uWSGI==2.0.26
vobject==0.9.7
whitenoise==5.2.0
titlecase==2.4.1
social-auth-app-django==5.4.2
social-auth-core==4.5.4
gitpython==3.1.43
debugpy==1.8.2
python-gitlab==4.8.0
cpe==1.2.1
packageurl-python==0.15.6
django-crum==0.7.9
JSON-log-formatter==1.0
django-split-settings==1.3.2
django-debug-toolbar==4.4.6
django-debug-toolbar-request-history==0.1.4
vcrpy==6.0.1
vcrpy-unittest==0.1.7
django-tagulous==1.3.3
PyJWT==2.9.0
cvss==3.1
django-fieldsignals==0.7.0
hyperlink==21.0.0
django-test-migrations==1.4.0
djangosaml2==1.9.3
drf-spectacular==0.27.2
drf-spectacular-sidecar==2024.7.1
django-ratelimit==4.1.0
argon2-cffi==23.1.0
blackduck==1.1.3
pycurl==7.45.3  # Required for Celery Broker AWS (SQS) support
boto3==1.34.152  # Required for Celery Broker AWS (SQS) support
netaddr==1.3.0
vulners==2.2.0
fontawesomefree==6.6.0

=== debian/changelog ===
defectdojo (2.37.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.37.3
  * Refresh patches
  * Remove obsolete and unused dep python3-jose
  * Fix patches for new upstream release
  * Bump Standards-Version to 4.7.0
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 29 Aug 2024 15:04:25 +0200

defectdojo (2.30.2-0kali5) kali-dev; urgency=medium

  * Fix helper-script/defectdojo
  * Fix start failure

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 04 Jul 2024 17:18:43 +0200

defectdojo (2.30.2-0kali4) kali-dev; urgency=medium

  * Fix last entry of changelog

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Jan 2024 10:47:41 +0100

defectdojo (2.30.2-0kali3) kali-dev; urgency=medium

  * Add missing required dep for python3-bleach

 -- Sophie Brun <sophie@offenseive-security.com>  Fri, 19 Jan 2024 10:20:32 +0100

defectdojo (2.30.2-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable building on armel.
  * Update service file install location
  * Update lintian overrides

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Jan 2024 14:52:15 +0100

defectdojo (2.30.2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.30.2
  * Refresh patches
  * Add manually 3 node modules in components
  * Adapt build-deps and deps for the new release
  * Update installation of *.service
  * Add missing dep python3-fontawesomefree
  * Update lintian-overrides

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 18 Jan 2024 13:56:42 +0100

defectdojo (2.12.0-0kali3) kali-dev; urgency=medium

  * ci: Disable building on armel.
  * Update service file install location
  * Update lintian overrides

 -- Steev Klimaszewski <steev@kali.org>  Fri, 01 Dec 2023 14:57:17 -0600

=== debian/control ===
Source: defectdojo
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), git, yarnpkg, ca-certificates
Standards-Version: 4.7.0
Homepage: https://github.com/DefectDojo/django-DefectDojo
Vcs-Browser: https://gitlab.com/kalilinux/packages/defectdojo
Vcs-Git: https://gitlab.com/kalilinux/packages/defectdojo.git

Package: defectdojo
Architecture: amd64 arm64 armhf
Depends: adduser,
         celery,
         nginx,
         postgresql,
         python3-argon2,
         python3-asteval,
	 python3-blackduck,
	 python3-bleach,
         python3-celery,
         python3-cpe,
         python3-cvss,
	 python3-django (>= 4.1.0),
         python3-django-appconf,
         python3-django-auditlog,
         python3-django-celery-results,
         python3-django-crispy-forms,
         python3-django-crum,
         python3-django-dbbackup (>= 4.0.0),
         python3-django-environ,
         python3-django-extensions,
         python3-django-fieldsignals,
	 python3-django-filters,
         python3-django-imagekit,
         python3-django-multiselectfield (>= 0.1.12-0kali2),
         python3-django-polymorphic,
         python3-django-ratelimit (>= 4.1.0),
         python3-django-restframework-guardian,
         python3-django-split-settings,
         python3-django-tagging,
         python3-django-tagulous,
         python3-django-watson,
         python3-djangorestframework-spectacular,
	 python3-drf-spectacular-sidecar-nonfree,
         python3-drf-yasg-nonfree,
	 python3-fontawesomefree,
	 python3-git,
         python3-github,
	 python3-gitlab,
         python3-googleapi,
         python3-gunicorn,
	 python3-html2text,
	 python3-hyperlink,
         python3-jira,
         python3-json-log-formatter,
	 python3-lxml,
	 python3-markdown,
	 python3-netaddr,
	 python3-numpy,
	 python3-openpyxl,
         python3-packageurl,
	 python3-psycopg2,
	 python3-redis,
         python3-social-django,
	 python3-tinycss2,
	 python3-titlecase,
         python3-vobject,
	 python3-vulners,
         redis-server,
	 sudo,
         uuid-runtime,
         uwsgi-plugin-python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: security orchestration and vulnerability management platform
 This package contains a security orchestration and vulnerability management
 platform. DefectDojo allows you to manage your application security program,
 maintain product and application information, triage vulnerabilities and push
 findings to systems like JIRA and Slack. DefectDojo enriches and refines
 vulnerability data using a number of heuristic algorithms that improve with
 the more you use the platform.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export HOME=$(CURDIR)/debian/fakehome

%:
	dh $@

override_dh_auto_build:
	cd components && yarnpkg
	cp -r debian/vendor/* components/node_modules
	dh_auto_build
	mkdir -p debian/defectdojo/var/lib/defectdojo
	echo "uwsgi_pass uwsgi_server;" > debian/defectdojo/var/lib/defectdojo/uwsgi_pass
	echo "server uwsgi:3031;" > debian/defectdojo/var/lib/defectdojo/uwsgi_server

override_dh_install:
	dh_install -Xnpmignore -Xeslintrc -X~ -Xgitmodules -Xgitattributes -Xgitignore
	sha256sum debian/defectdojo/usr/lib/defectdojo/dojo/settings/settings.dist.py | cut -d ' ' -f1 > debian/defectdojo/usr/lib/defectdojo/dojo/settings/.settings.dist.py.sha256sum

=== debian/tests/control ===
Test-Command: debian/tests/runtest.sh
Restrictions: allow-stderr, isolation-container, needs-root

Test-Command: apt purge -y defectdojo && rm -fr /etc/defectdojo && apt install -y defectdojo && debian/tests/runtest.sh
Restrictions: allow-stderr, isolation-container, needs-root

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%defectdojo-$1.tar.gz%" \
   https://github.com/DefectDojo/django-DefectDojo/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
